Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
Class IllegalOperationAtExecutionTimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.InvalidUserDataException
                          org.gradle.api.IllegalOperationAtExecutionTimeException

    class IllegalOperationAtExecutionTimeException
    extends InvalidUserDataException

A `IllegalOperationAtExecutionTimeException` is thrown if you try to trigger an operation at runtime, which is only allowed at configuration time.

author:
  Hans Dockter

Constructor Summary
`IllegalOperationAtExecutionTimeException()`
`IllegalOperationAtExecutionTimeException(java.lang.String message)`
`IllegalOperationAtExecutionTimeException(java.lang.String message, java.lang.Throwable cause)`
`IllegalOperationAtExecutionTimeException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class java.lang.Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class java.lang.Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class java.lang.Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### IllegalOperationAtExecutionTimeException

    public IllegalOperationAtExecutionTimeException()

### IllegalOperationAtExecutionTimeException

    public IllegalOperationAtExecutionTimeException(java.lang.String message)

### IllegalOperationAtExecutionTimeException

    public IllegalOperationAtExecutionTimeException(java.lang.String message, java.lang.Throwable cause)

### IllegalOperationAtExecutionTimeException

    public IllegalOperationAtExecutionTimeException(java.lang.Throwable cause)

Groovy Documentation